Retrieve Workflow Actions
Retrieve all available workflow actions that can be initiated on a specific object workflow.
GET
/api/{version}/objects/objectworkflows/{workflow_id}/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{workflow_id} | The workflow id field value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
loc | When localized (translated) strings are available, retrieve them by including loc=true. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/objects/objectworkflows/3302/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "cancel",
"label": "Cancel"
},
{
"name": "replaceworkflowowner",
"label": "Replace Workflow Owner"
},
{
"name": "addparticipants",
"label": "Add Participants"
}
]
}Request
Section link for Requestcurl -X GET "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/objects/objectworkflows/1801/actions/removecontentResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "removecontent",
"label": "Remove Content",
"controls": [
{
"label": "Documents",
"type": "documents",
"prompts": [
{
"name": "documents__sys",
"label": "Documents",
"required": true
}
],
"current_values": [
{
"document_id__v": "67"
},
{
"document_id__v": "41"
}
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all available workflow actions that can be initiated on the object record. Each action includes the following fields:
name- The workflow action name used to initiate the workflow in the request below.label- The workflow action label as seen in the UI.
###Retrieve Workflow Action Details
Retrieve details about a workflow action. For example, the prompts needed to complete a workflow action.
GET
/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{workflow_id} | The workflow id field value. |
{workflow_action} | The name of the workflow action. To get this value, you can Retrieve Workflow Actions. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/objects/objectworkflows/3302/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "cancel",
"label": "Cancel"
},
{
"name": "replaceworkflowowner",
"label": "Replace Workflow Owner"
},
{
"name": "addparticipants",
"label": "Add Participants"
}
]
}Request
Section link for Requestcurl -X GET "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/objects/objectworkflows/1801/actions/removecontentResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "removecontent",
"label": "Remove Content",
"controls": [
{
"label": "Documents",
"type": "documents",
"prompts": [
{
"name": "documents__sys",
"label": "Documents",
"required": true
}
],
"current_values": [
{
"document_id__v": "67"
},
{
"document_id__v": "41"
}
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists all prompts required to complete the workflow action. If the workflow action does not require any prompts, the response will only list SUCCESS. In the example response, the removecontent workflow action requires a value for documents__sys.